#
# spec file for package python-pkginfo
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pkginfo
Version:        1.2.1
Release:        5.5
Summary:        Query metadatdata from sdists / bdists / installed packages
License:        Python-2.0
Group:          Development/Languages/Python
Url:            http://pypi.python.org/pypi/pkginfo/
Source:         https://pypi.python.org/packages/source/p/pkginfo/pkginfo-%{version}.tar.gz
BuildRequires:  python-devel
Requires:       python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This package provides an API for querying the distutils metadata written in
the PKG-INFO file inside a source distriubtion (an sdist) or a
binary distribution (e.g., created by running bdist_egg).  It can
also query the EGG-INFO directory of an installed distribution, and
the *.egg-info stored in a "development checkout"
(e.g, created by running setup.py develop).

%prep
%setup -q -n pkginfo-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt CHANGES.txt
%{python_sitelib}/pkginfo-%{version}-py%{py_ver}.egg-info
%{python_sitelib}/pkginfo

%changelog
* Tue Jun  2 2015 p.drouand@gmail.com
- Update to version 1.2.1
  * Add overlooked Trove classifier for Python 3.4.
- Changes from version 1.2 final
  * Add support for Python 3.4, PyPy3.
  * Add 100%% coverage for pkginfo.commandline module.
* Tue Feb  4 2014 speilicke@suse.com
- Initial version
